Changes since version 1.48 (2002-01-06)

Changes to xsl/*

  | 2002-02-20  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* VERSION: Version 1.49 released.
  | 

Changes to xsl/common/*

  | 2002-01-28  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* l10n.dtd, l10n.xml: Tweaks to the l10n.dtd to make it as
  | 	  namespace aware as DTDs can be
  | 
  | 2002-01-25  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* table.xsl: Fix bug that caused rowsep and colsep to be
  | 	  ignored on empty cells
  | 
  | 2002-01-10  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* l10n.xsl: Don't rely on the order of attribute nodes cause
  | 	  they don't have one
  | 

Changes to xsl/fo/*

  | 2002-02-20  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* formal.xsl: Bug #429331: center figure title if image is
  | 	  centered
  | 
  | 	* lists.xsl: Commented out a debugging message
  | 
  | 2002-02-11  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* component.xsl, index.xsl, pagesetup.xsl, param.ent,
  | 	  param.xweb, titlepage.templates.xml: Patch #510996: add
  | 	  support for two-colum indexes
  | 
  | 	* inline.xsl: Patch #514007: prevent hyphenation of email
  | 	  addresses
  | 
  | 2002-02-07  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* autotoc.xsl: Make title a link
  | 
  | 	* docbook.xsl: Reworked FOP outline mode
  | 
  | 	* fop.xsl: Reworked outline mode
  | 
  | 	* formal.xsl, param.ent, param.xweb: Added
  | 	  informal.object.properties
  | 
  | 2002-01-29  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* pagesetup.xsl, param.ent, param.xweb: Support 'draft'
  | 	  watermark
  | 
  | 2002-01-28  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* biblio.xsl: Allow bibliography to be a root element
  | 
  | 	* formal.xsl: Make landscape tables actually landscape---if
  | 	  your FO processor supports changes to the
  | 	  reference-orientation
  | 
  | 	* param.ent, param.xweb, xref.xsl: Provide option to allow
  | 	  URLs to be conditionally hyphenated
  | 
  | 2002-01-25  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* table.xsl: Fix bug that caused rowsep and colsep to be
  | 	  ignored on empty cells
  | 
  | 2002-01-10  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* fo-patch-for-fop.xsl: Allow the fox: prefix; this isn't the
  | 	  right fix, but it's easy and this file is only a workaround
  | 	  for FOP
  | 
  | 	* inline.xsl: Support emphasis role=bold in FO
  | 
  | 	* pagesetup.xsl: Set display-alignment on region-before and
  | 	  -after; output warning if the master-references is
  | 	  unrecognized when calculating the page header
  | 
  | 	* param.ent, param.xweb: Added documentation about page layout
  | 	  and ulink.footnotes and ulink.show
  | 
  | 	* xref.xsl: Use the ulink.show parameter when rendering ulinks
  | 
  | 2002-01-09  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* glossary.xsl: Bug fix: don't generate duplicate IDs on
  | 	  glossentrys
  | 

Changes to xsl/html/*

  | 2002-02-20  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* autotoc.xsl: Fix toc-depth bug in recursive sections
  | 
  | 2002-02-10  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* Makefile.param, param.ent, param.xweb: Added parameter
  | 	  htmlhelp.default.topic for overriding default topic to
  | 	  display.
  | 
  | 2002-02-09  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* Makefile.param, param.ent, param.xweb: Added parameter which
  | 	  controls appearance of root element in HTML Help ToC.
  | 
  | 2002-02-07  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* autotoc.xsl, chunk-common.xsl, chunk.xsl, chunktoc.xsl,
  | 	  maketoc.xsl, param.ent, param.xweb: Added experimental
  | 	  manual TOC processing for chunking and TOC generation
  | 
  | 	* calc-chunks.xsl, chunk-experimental.xsl, expchunk.xsl:
  | 	  Deleting old experiments
  | 
  | 	* docbook.xsl: Tweaked rendering of 'draft' watermark
  | 
  | 2002-02-03  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* Makefile.param, param.ent, param.xweb: Added parameter
  | 	  htmlhelp.title for manual control over HTML Help title.
  | 	  Improved code for automatic extraction of title from
  | 	  document.
  | 
  | 2002-01-29  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* docbook.xsl, param.ent, param.xweb: Support 'draft'
  | 	  watermark
  | 
  | 2002-01-28  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* biblio.xsl, block.xsl, docbook.xsl, footnote.xsl: Bug
  | 	  #503271: output biblioentry.item.separator after citetitle
  | 
  | 	* block.xsl, footnote.xsl, html-rtf.xsl, param.ent,
  | 	  param.xweb: Added html.cleanup parameter; if non-zero, do
  | 	  some post-processing of RTFs to improve formatting
  | 
  | 2002-01-22  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* param.ent, param.xweb: Feature request #507087. Added
  | 	  parameter for controling appearance of icons in HTML Help
  | 	  ToC.
  | 
  | 2002-01-21  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* biblio.xsl: Fixed bug #505683. Changed <I> to <i> to make
  | 	  output compatible with XHTML.
  | 
  | 2002-01-10  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* graphics.xsl, param.ent, param.xweb: Use the pixels.per.inch
  | 	  parameter
  | 
  | 2002-01-09  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* graphics.xsl: Convert graphic widths/depths to pixels
  | 
  | 2002-01-08  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* chunk.xsl: Make root.filename supercede use.id.as.filename
  | 
  | 	* titlepage.xsl: Added template for confsponsor
  | 

Changes to xsl/images/*

  | 2002-02-11  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* draft.png: Updated draft image
  | 
  | 2002-01-29  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* blank.png, draft.png: New file.
  | 

Changes to xsl/lib/*

  | 2002-01-09  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* lib.xsl: Added length-units template to extract units from
  | 	  lengths
  | 

Changes to xsl/xhtml/*

  | 2002-02-07  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* html2xhtml.xsl: Make sure that uses of the xsl:element
  | 	  element preserve the XHTML namespace
  | 
  | 2002-01-09  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* html2xhtml.xsl: Don't change the html.ext parameter
  | 

Changes to xsl/template/*

  | 2002-01-28  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* testtemplate.xml: Bug #502952: testtemple.xml was incorrect
  | 

Changes to xsl/params/*

  | 2002-02-11  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* column.count.of.index.xml: New file.
  | 
  | 2002-02-10  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.default.topic.xml: New file.
  | 
  | 2002-02-09  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.hhc.show.root.xml: New file.
  | 
  | 2002-02-07  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* chunk.toc.xml, manual.toc.xml: New file.
  | 
  | 	* informal.object.properties.xml: New file.
  | 
  | 2002-02-03  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.title.xml: New file.
  | 
  | 2002-01-29  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* draft.watermark.image.xml: New file.
  | 
  | 2002-01-28  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* html.cleanup.xml, make.valid.html.xml: Added html.cleanup
  | 	  parameter; if non-zero, do some post-processing of RTFs to
  | 	  improve formatting
  | 
  | 	* ulink.hyphenate.xml: New file.
  | 
  | 2002-01-22  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.hhc.folders.instead.books.xml: New file.
  | 
  | 2002-01-10  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* body.margin.bottom.xml, body.margin.top.xml,
  | 	  page.margin.bottom.xml, page.margin.outer.xml,
  | 	  page.margin.top.xml, page.width.xml,
  | 	  region.after.extent.xml, region.before.extent.xml:
  | 	  Rationalize margins; see new docs in the FO section
  | 
  | 	* formal.object.properties.xml: Removed bogus keep
  | 
  | 	* pixels.per.inch.xml: New file.
  | 
  | 	* ulink.footnotes.xml, ulink.show.xml: New file.
  | 

Changes to xsl/htmlhelp/*

  | 2002-02-16  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.xsl: Added missing support for refentries inside
  | 	  sections and for glossaries.
  | 
  | 	* htmlhelp.xsl: Fixed bug #514883. Added missing colophon.
  | 
  | 2002-02-10  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.xsl: Entry with link to page with Table of Contents
  | 	  is put into HTML Help ToC when htmlhelp.hhc.show.root=0 and
  | 	  generate.{set|book}.toc=1
  | 
  | 	* htmlhelp.xsl: Added parameter htmlhelp.default.topic for
  | 	  overriding default topic to display.
  | 
  | 2002-02-09  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.xsl: Added parameter which controls appearance of
  | 	  root element in HTML Help ToC.
  | 
  | 2002-02-07  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.xsl: Duplicate image filenames from [FILES] section
  | 	  are now automatically removed in EXSLT friendly processors.
  | 
  | 2002-02-05  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.xsl: Removed fragment identifiers from hrefs in
  | 	  alias.h file.
  | 
  | 2002-02-03  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.xsl: Added parameter htmlhelp.title for manual
  | 	  control over HTML Help title. Improved code for automatic
  | 	  extraction of title from document.
  | 
  | 2002-01-24  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.xsl: Fixed bug in alias.h when base.dir parameter
  | 	  was used.
  | 
  | 2002-01-22  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.xsl: Feature request #507087. Added parameter for
  | 	  controling appearance of icons in HTML Help ToC.
  | 

Changes to xsl/images/callouts/*

  | 2002-01-28  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* 1.gif, 10.gif, 2.gif, 3.gif, 4.gif, 5.gif, 6.gif, 7.gif,
  | 	  8.gif, 9.gif: New file.
  | 

Changes to xsl/doc/fo/*

  | 2002-01-10  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* page.png: New file.
  | 

